Subject: bug#63314: closed (Re: [PATCH v2 2/2] services: elogind: Add elogind as a shepherd PAM requirement.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 May 2023 11:17:02 +0000

Your bug report

#63314: [PATCH 0/2] Add PAM shepherd requirements

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63314: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63314
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v2 2/2] services: elogind: Add elogind as a shepherd PAM requirement.
From: Ludovic Courtès <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 May 2023 13:16:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Josselin Poiret <[email-masked]> skribis:

> From: Josselin Poiret <[email-masked]>
>
> * gnu/services/desktop.scm (pam-extension-procedure): Add the elogind shepherd
> requirement to the PAM extension.

Applied, thanks!

Subject: [PATCH 0/2] Add PAM shepherd requirements
From: Josselin Poiret <[email-masked]>
To: [email-masked]
Cc: Josselin Poiret <[email-masked]>
Date: Fri, 5 May 2023 19:50:46 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi everyone,

With shepherd 0.10 incoming, I've been running into a nasty issue: I use
elogind and greetd, and greetd, when starting needs to let its greeter log-in
through PAM.  However, its PAM entry requires pam_elogind.so, which might not
work if elogind isn't started yet, and so my greetd would just fail to start.
This patch adds a shepherd synchronization point for services needed by PAM,
and any PAM-using program should have the synchronization point as a
requirement.  I've mostly tested this with greetd only, so I would appreciate
if other PAM users could try it out.

Best,

Josselin Poiret (2):
  system: pam: Let PAM extenders add shepherd requirements.
  services: elogind: Add elogind as a shepherd PAM requirement.

 gnu/services/authentication.scm | 28 +++++++++--------
 gnu/services/base.scm           | 54 +++++++++++++++++---------------
 gnu/services/desktop.scm        | 45 +++++++++++++++------------
 gnu/services/kerberos.scm       | 44 +++++++++++++-------------
 gnu/services/lightdm.scm        |  2 +-
 gnu/services/mail.scm           |  4 +--
 gnu/services/pam-mount.scm      | 23 ++++++++------
 gnu/services/sddm.scm           |  2 +-
 gnu/services/ssh.scm            | 10 +++---
 gnu/services/xorg.scm           |  4 +--
 gnu/system/pam.scm              | 55 ++++++++++++++++++++++++++-------
 11 files changed, 161 insertions(+), 110 deletions(-)

base-commit: 6922069bcbe5c08da09c00e5aad44e390ebd1cc7
-- 
2.39.2